Topic
  • 2 replies
  • Latest Post - ‏2012-10-18T11:10:51Z by Vipsy
Vipsy
Vipsy
8 Posts

Pinned topic Cannot generate reports anymore with RPE1.1.2.2

‏2012-10-14T16:21:40Z |
Upgraded to RPE 1.1.2.2 and I cannot generate reports anymore.It looks like Rhapsody Application Server fails to start.
When launched from Tools ->Rational Publishing Engine->Generate report , I get the attached error.

However I could start the server by manually running the script but on generating the report , RPE throws the error :
CRRPE3011E Error in engine
Server response code 500 for http://localhost:27463/Rational/Rhapsody/?fields=Projects/Project .....

500: C:\Users\abc\AppData\Local\Temp\RhpWebServerConfig_171330.6924301\org.eclipse.osgi\bundles\6\1\.cp\rhapsody.dll: Can't find dependent libraries

CRRPE1064I Aborting engine execution...
CRRPE1064I Document generation finished in 3 seconds.

whats missing ?
Updated on 2012-10-18T11:10:51Z at 2012-10-18T11:10:51Z by Vipsy
  • Dragos.Cojocari
    Dragos.Cojocari
    1654 Posts

    Re: Cannot generate reports anymore with RPE1.1.2.2

    ‏2012-10-17T11:18:57Z  
    Hey,

    >>> hen launched from Tools ->Rational Publishing Engine->Generate report , I get the attached error.
    this looks like an installation problem/installation change with Rhapsody.

    >>> However I could start the server by manually running the script but on generating the report , RPE throws the error :
    The service providing the REST API cannot load the necessary files. Once again this looks like an installation problem.

    I have contacted my colleagues from Rhapsody on this.

    Regards,
    Dragos

    RPE Actual
  • Vipsy
    Vipsy
    8 Posts

    Re: Cannot generate reports anymore with RPE1.1.2.2

    ‏2012-10-18T11:10:51Z  
    Hey,

    >>> hen launched from Tools ->Rational Publishing Engine->Generate report , I get the attached error.
    this looks like an installation problem/installation change with Rhapsody.

    >>> However I could start the server by manually running the script but on generating the report , RPE throws the error :
    The service providing the REST API cannot load the necessary files. Once again this looks like an installation problem.

    I have contacted my colleagues from Rhapsody on this.

    Regards,
    Dragos

    RPE Actual
    Problem Solved !!
    I was having a 64 bit JVM which apparently is incompatible with Rhp. Installed the 32bit version and I can now generate document.
    Thanks to Rajesh(from IBM Support) for the suggestion.